using System.Runtime.InteropServices;

namespace Decal.Interop.Render;

[TypeLibType(TypeLibTypeFlags.FHidden)]
[ClassInterface(ClassInterfaceType.None)]
public sealed class IRenderServiceEvents_SinkHelper : IRenderServiceEvents
{
	public IRenderServiceEvents_DeviceLostEventHandler m_DeviceLostDelegate;

	public int m_dwCookie;

	public void DeviceLost()
	{
		//Error decoding local variables: Signature type sequence must have at least one element.
		if (m_DeviceLostDelegate != null)
		{
			m_DeviceLostDelegate();
		}
	}

	internal IRenderServiceEvents_SinkHelper()
	{
		//Error decoding local variables: Signature type sequence must have at least one element.
		m_dwCookie = 0;
		m_DeviceLostDelegate = null;
	}
}
